# Class FixedEpsGraphics2D

java.lang.Object
java.awt.Graphics
java.awt.Graphics2D
org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D
uk.ac.starlink.ttools.plot.FixedEpsGraphics2D

public class FixedEpsGraphics2D extends org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D
Graphics2D implementation which can write to Encapsulated PostScript.

This is a very slight modification of `net.sf.epsgraphics.EpsGraphics2D` which addresses some (apparent?) bugs in that class. The jibble library used to be GPL but is now released under a more restrictive (and expensive) license, so applying a fix to the original would be problematic.

Since:
  27 Jul 2007
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D

`BLACK_AND_WHITE, GRAYSCALE, RGB, VERSION`

## Constructor Summary

Constructors
Constructor
Description
`FixedEpsGraphics2D(String title, OutputStream out, int xmin, int ymin, int xmax, int ymax)`
Constructor with bounds.
`FixedEpsGraphics2D(org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D g2)`
Clone constructor.

## Method Summary

Modifier and Type
Method
Description
`Graphics`
`create()`
`void`
`setClip(Shape clip)`

### Methods inherited from class org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D

`addRenderingHints, clearRect, clip, clipRect, close, copyArea, create, dispose, draw, draw3DRect, drawArc, drawBytes, drawChars, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolygon, drawPolyline, drawRect, drawRenderableImage, drawRenderedImage, drawRoundRect, drawString, drawString, drawString, drawString, fill, fill3DRect, fillArc, fillOval, fillPolygon, fillPolygon, fillRect, fillRoundRect, finalize, flush, getAccurateTextMode, getBackground, getClip, getClipBounds, getClipBounds, getColor, getColorDepth, getComposite, getDeviceConfiguration, getFont, getFontMetrics, getFontMetrics, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, hit, hitClip, rotate, rotate, scale, setAccurateTextMode, setBackground, setClip, setColor, setColorDepth, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, setXORMode, shear, toString, transform, translate, translate`

### Methods inherited from class Graphics

`getClipRect`

### Methods inherited from class Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FixedEpsGraphics2D

public FixedEpsGraphics2D(String title, OutputStream out, int xmin, int ymin, int xmax, int ymax) throws IOException
Constructor with bounds.

Parameters:
  `title` - title
  `out` - output stream - must be closed to complete plotting
  `xmin` - lower X bound for bounding box
  `ymin` - lower Y bound for bounding box
  `xmax` - upper X bound for bounding box
  `ymax` - upper Y bound for bounding box
Throws:
  `IOException`

### FixedEpsGraphics2D

public FixedEpsGraphics2D(org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D g2)
Clone constructor.

Parameters:
  `g2` - instance to copy

## Method Details

### setClip

public void setClip(Shape clip)

Overrides:
  `setClip` in class `org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D`

### create

public Graphics create()

Overrides:
  `create` in class `org.sourceforge.jlibeps.epsgraphics.EpsGraphics2D`